using UnityEngine;
using UnityEngine.Events;
using UnityEngine.EventSystems;

public class ButtonClickDetector : MonoBehaviour, IPointerClickHandler
{
    public UnityEvent onClick;

    public bool Clicked { get; set; }

    public void OnPointerClick(PointerEventData eventData)
    {
        Clicked = true;
        onClick.Invoke();
    }
}
